APT-CONFIG(8)

NOMBRE
apt-config - Programa para consultar la configuración de APT

SINOPSIS

apt-config [--empty] [--format '%f "%v";%n'] [-o=config_string] [-c=config_file] {shell | dump | {-v | --version} | {-h | --help}}

DESCRIPCIÓN

apt-config es un programa interno que usan varios programas del conjunto de herramientas de APT para ofrecer un método de configuración sólido. Este programa accede al fichero principal de configuración /etc/apt/apt.conf de forma que resulta sencillo de usar por aplicaciones con scripts.

A menos que se use la opción -h o --help, una de las siguientes órdenes debe estar presente.

shell
    Se utiliza para acceder a la información de la configuración mediante un script. Se proporcionan parejas de argumentos, el primero es una variable del intérprete de órdenes y el segundo el valor de la configuración que consultar. Como salida muestra una serie de órdenes asignadas al intérprete de órdenes para cada valor presente. Esto se debería usar de la siguiente manera en un script de intérprete de órdenes:

        OPTS="-f"
        RES=`apt-config shell OPTS MiAplicación::opciones`
        eval $RES
    Esto define la variable de entorno del intérprete de órdenes $OPTS con el valor de MyApp::Opciones, y con -f por omisión.

    La opción de configuración se puede corregir posteriormente con un «/[fdbi]». El parámetro «f» devuelve nombres de fichero, «d» devuelve los directorios, «b» devuelve verdadero o falso, e «i» devuelve un número entero. Cada uno de los valores devueltos se normaliza y se verifica internamente.

dump
    Sólo muestra el contenido del espacio de configuración.

OPCIONES

Todas las opciones de la línea de órdenes se pueden definir mediante el fichero de configuración, las descripciones indican la opción de la configuración a definir. Para opciones de tipo «boolean» puede invalidar el fichero de configuración utilizando algo como -f-,--no-f, -f=no u otras muchas variaciones.

--empty
    Incluye opciones con un valor vacío. Este es el comportamiento predeterminado, utilice «--no-empty» para eliminarlos de la salida.

--format '%f "%v";%n'
    Define la salida de cada opción de configuración. %t se sustituye con el nombre individual, %f con el nombre jerárquico completo, y %v con su valor. Si utiliza letras mayúsculas, los caracteres especiales del valor se codificaran para garantizar su uso seguro en una cadena delimitada por comillas, como define RFC822. Además, %n se sustituye con una línea nueva, y %N con una tabulación. Se puede mostrar un % utilizando %%.

-h, --help
    Muestra un mensaje corto sobre el uso.

-v, --version
    Muestra la versión del programa.

--audit
    Show audit (and notice) messages. This overrides the quiet option, but only for notice messages, not progress ones.

-c, --config-file
    Fichero de configuración: Especifica el fichero de configuración a usar. El programa leerá el fichero de configuración predeterminado y, después, este fichero de configuración. Si necesita que ciertas opciones de configuración se definan antes que el análisis de los de los ficheros de configuración predeterminados, defina un fichero con la variable de entorno APT_CONFIG. Consulte apt.conf(5) para información sobre la sintaxis.

-o, --option
    Set a Configuration Option; This will set an arbitrary configuration option. The syntax is -o Foo::Bar=bar. -o and --option can be used multiple times to set different options.

--cli-version
    Requests a specific CLI version. This is a pattern that takes a MAJOR.MINOR version. You may omit the MINOR version, in which case the latest supported minor level will be used.

    Version tracks are presented as follows: The version 3.2 has equivalent versions 0.32, 1.22, and 2.12, implementing new features for their specified major versions.

    A special case is the X.9 version pattern: A version like 2.9 is followed by 3.0, but 2.10 follows directly on 2.8; given that we use odd version numbers as development series (2.9 is the 3.0 development series).

    This feature has been introduced in APT 3.1.10, and replaces the binary-specific configuration. You may use the APT::Version to similar effect on older binaries, for example, use -o APT::Version=2 to make apt(8) behave like the 2.x series.

    The default value is the current APT version for apt(8) and 0.(10 * major + minor) for the classic commands. The 0.X series is soft-deprecated and the other commands will roll over to the 2.x series in the future.

--no-color, --color
    Turn colors on or off. Colors are on by default on supported terminals for apt(8) and can also be disabled using the NO_COLOR or APT_NO_COLOR environment variables, or further configured by the APT::Color configuration option and scope, see apt.conf(5) for information on that.

VÉASE TAMBIÉN

apt.conf(5)

DIAGNÓSTICOS

apt-config devuelve cero si no hay ningún error, y el valor 100 en caso de error.

BUGS

Página de errores de APT[1]. Si quiere informar de un error en APT, consulte /usr/share/doc/debian/bug-reporting.txt o use la orden reportbug(1).

TRADUCCIÓN

La traducción al español la realizaron Ismael Fanlo, Carlos Mestre, Rudy Godoy, Gustavo Saldumbide, Javier Fernández-Sanguino y Rubén Porras Campo entre los años 2003 y 2004. La traducción fue actualizada por Francisco Javier Cuadrado y Omar Campagne Polaino entre los años 2009 y 2012 .

Tenga en cuenta que este documento puede contener secciones sin traducir. Esto es intencionado para evitar perder contenido cuando la traducción no está actualizada con respecto al documento original.

AUTORES

Jason Gunthorpe

Equipo de APT

NOTAS

1.  Página de errores de APT
    https://bugs.debian.org/src:apt